esl-seqrange(1)

NAME

esl-seqrange - determine a range of sequences for one of many parallel processes.

SYNOPSIS

esl-sfetch
    [options] seqfile procidx nproc

DESCRIPTION
esl-seqrange reads an indexed seqfile and determines the range of sequence indices in that file that process number procidx out of nproc total processes should operate on during a parallel processing of seqfile. The seqfile must be indexed first using esl-sfetch --index <seqfile>. This creates an SSI index file <seqfile>.ssi. An SSI file is required in order for esl-seqrange to work. Sequence index ranges are calculated using a simple rule: the number of sequences for each process should be identical, or as close as possible to identical, across all processes. The lengths of the sequences are not considered (even though they probably should be).

OPTIONS

-h  Print brief help; includes version number and summary of all options, including expert options.

--informat <s>
    Specify that the sequence file is in format <s>, where <s> may be FASTA, GenBank, EMBL, UniProt, or DDBJ. This string is case-insensitive ("genbank" or "GenBank" both work, for example).

AUTHOR
Easel and its documentation are @EASEL_COPYRIGHT@. @EASEL_LICENSE@. See COPYING in the source code distribution for more details. The Easel home page is: @EASEL_URL@